/* eslint-disable @typescript-eslint/no-empty-interface */
// Generated code for namespace: org.accordproject.creativework

// imports
import {IDuration} from './org.accordproject.time';
import {IPerson} from './org.accordproject.person';
import {IOrganization} from './org.accordproject.organization';
import {IConcept} from './concerto';

// interfaces
export enum BookGenre {
   Fantasy = 'Fantasy',
   Romance = 'Romance',
}

export enum Medium {
   Audio = 'Audio',
   Print = 'Print',
   Video = 'Video',
}

export interface ICreativeWork extends IConcept {
   creators: IPerson[];
   dateCreated: Date;
   medium: Medium;
   title?: string;
}

export interface IAlbum extends ICreativeWork {
   songs: ISong[];
}

export interface IBook extends ICreativeWork {
   publisher: IOrganization;
   genre: BookGenre;
}

export enum MusicGenre {
   Rock = 'Rock',
   Rap = 'Rap',
   Country = 'Country',
   Pop = 'Pop',
   Jazz = 'Jazz',
   Grime = 'Grime',
   ThrashMetal = 'ThrashMetal',
}

export interface ISong extends ICreativeWork {
   duration: IDuration;
   genre: MusicGenre;
   performers: IPerson[];
}

